@import url('https://fonts.googleapis.com/css?family=Asap:400,500,700');

:root {
  --color-background: #fbfbfb;
  --color-primary: #FFF;
  --color-accent: dodgerblue;
  --color-light-text: var(--color-primary);
  --color-dark-text: #212121;
  --color-placeholder-text: #9e9e9e;
}

.App {
  font-family: 'Asap', sans-serif;
  text-align: center;
  background-color: var(--color-background);
  height: 150%;
  width: 100%;
  position: absolute;
}

/**************************************/
a {
  text-decoration: none;
  color:inherit;
}

ul {
  list-style-type: none;
}

input, button {
  margin: 10px;
  background-color: var(--color-primary);
  border: none;
  padding: 10px;
}

button, input[type=submit], li {
  cursor: pointer;
}

button:hover {
  color: var(--color-light-text);
  background-color:  var(--color-accent);
}

.card {
  display: inline-block;
  overflow: hidden;
  margin: 8px;
  background-color: var(--color-primary);
  color: var(--color-dark-text);
  text-align: center;
  font-size: 16px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.15);
}

.card * {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

dialog {
  position: absolute;
  width: 40%;
  left: 50%;
  transform: translateX(-50%);
  height: 70%;
  z-index: 3;
  border: none;
}

dialog img {
  float: right;
  cursor: pointer;
}

dialog input {
  margin: 50px auto;
  display: block;
  border-bottom: 1px solid var(--color-accent);
}

dialog h1 {
  font-size: 20px;
}

dialog button {
  background-color: var(--color-accent);
  color: var(--color-light-text);
}

dialog button:hover {
  background-color: var(--color-primary);
  color: var(--color-dark-text);
}

/************Toolbar***************/

.App-toolbar {
  display: flex; /* contexte sur le parent */
  justify-content: space-between; /* alignement vertical */
  height: 4%;
  align-items: center;
  padding: 15px;
}

.App-toolbar * {
  display: flex;
  height: 100%;
  position: relative;
  align-items: center;
}

.App-logo {
  width: 5%;
  margin-right: 20px;
}

.App-title {
  width: 100%;
}

.App-search {
  width: 100%;
}

.App-search img {
  width: 5%;
}

.App-search input {
  font-size: 20px;
  height: 40px;
  background-color: var(--color-background);
  width: 100%;
  color: var(--color-placeholder-text);
}

.App-button-main {
  display: block;
  font-size: 12px;
  background-color: var(--color-accent);
  color: var(--color-light-text);
  width: 20%;
}

.App-button-main:hover {
  background-color: var(--color-primary);
  color: var(--color-accent);
}

.App-settings {
  margin-left: 80px;
  margin-right: 20px;
  width: 2%;
}

/********************Tabs*****************************/

.App-tabs {
  height: 36px;
  margin: auto;
  position: relative;
  border-radius: 6px;
  overflow: hidden;
  user-select: none;
  cursor: pointer;
}

.App-tab {
  margin: 0;
  padding: 10px;
  box-sizing: border-box;
}

.App-tab:nth-child(1)  {
  right: 0;
}

.in {
  width: inherit;
  height: inherit;
  text-transform: uppercase;
  font-size: .6em;
  letter-spacing: .2em;
}

.in:first-child {
  background: var(--color-primary);
  color: var(--color-placeholder-text);
}

.in {
  background: var(--color-accent);
  color: var(--color-light-text);
  clip-path: inset(0 50% 0 0);
  transition: .3s cubic-bezier(0,0,0,1);
}


.App-tab-neutral {
  background-color: var(--color-background);
  color: var(--color-accent);
}

.App-tab-selected {
  background-color:  var(--color-accent);
  color: var(--color-primary);
}

/*************************************************/

.App-pagefragment {
  padding: 40px;
}

.App-pagefragment-title {
  text-align: left;
  font-size: 1.5em;
}

/********Popupmenu*********************************************/

.App-popupmenu {
  position: absolute;
  visibility: hidden;
  width: 150px;
  color: black;
  border-radius: 2px;
  right: 0px;
  top: 0px;
  z-index: 2;
}

.App-popupmenu li {
  list-style-type: none;
  cursor: pointer;
  margin: 20px auto;
}

.App-popupmenu li:hover {
  color: var(--color-accent);
}

/*******************************************/

.show {
  visibility: visible;
  -webkit-animation: fadeIn 1s;
  animation: fadeIn 1s;
}

.App-category {

}

/***********************Bookmark***************************/

.App-bookmark {
  position: relative;
  margin: 15px;
  float: left;
  min-width: 100px;
  max-width: 400px;
  width: 15%;
}

.App-bookmark figcaption {
  padding: 5% 10% 15%;
  cursor: pointer;
}

.App-bookmark-menu {
  position: absolute;
  top: 4px;
  right: 1px;
  z-index: 999;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  float: right;
}

.App-bookmark-image {
  height: 100%;
}

.App-bookmark-image img {
  max-width: 100%;
  height: 100%;
  vertical-align: top;
  position: relative;
}

.App-bookmark-url, .App-bookmark-category {
  font-weight: 400;
  margin: 0;
  color: var(--color-placeholder-text);
  letter-spacing: 1px;
}

.App-bookmark-title {
  font-size: 20px;
  font-weight: 400;
  line-height: 24px;
  margin: 3px 0;
  font-weight: normal;
  width: 88%;
  float: left;
}

.App-bookmark-url{

}
